Bug 166398 - gthumb-import doesn't recognize camera
gthumb-import doesn't recognize camera
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-20 09:05 EDT by Kare Nuorteva
Modified: 2013-03-13 00:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-22 17:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kare Nuorteva 2005-08-20 09:05:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
When connecting a camera with a USB cable, the gthumb doesn't start to import images. This works correctly on x86 platform.


Version-Release number of selected component (if applicable):
gthumb-2.6.5-1

How reproducible:
Always

Steps to Reproduce:
1. Connect camera
2. Nothing happens
3. Run gthumb-import manually
4. gthumb displays error message

  

Actual Results:  No images were imported from the camera

Expected Results:  OS should have prompted if the user wishes to import images and image import should run successfully.

Additional info:

When I run gthumb-import manually, I get the following errors on the terminal:
[kare@triton ~]$ gthumb-import
5255: arguments to dbus_message_new_method_call() were incorrect, assertion "_dbus_check_is_valid_path (path)" failed in file dbus-message.c line 796.
This is normally a bug in some application using the D-BUS library.
libhal.c 983 : Couldn't allocate D-BUS message
error: libhal_device_get_property_type: (null): (null)
ALSA lib confmisc.c:560:(snd_determine_driver) could not open control for card 0ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:955:(snd_func_refer) error evaluating name
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:3948:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2090:(snd_pcm_open_noupdate) Unknown PCM default

Gthumb window reports following error message:
An error occurred in the io-library ('Bad parameters'): Could not find USB device (vendor 0x4a9, product 0x30ef). Make sure this device is connected to the computer.
Also, gthumb doesn't recognize the camera make or model.

When camera is connected, the following messages appear on /var/log/messages:
Aug 20 15:39:57 triton kernel: usb 2-2: new full speed USB device using ohci_hcd and address 5
Aug 20 15:45:26 triton su(pam_unix)[5006]: session opened for user root by (uid=500)
Aug 20 15:45:59 triton kernel: usb 1-6: new high speed USB device using ehci_hcd and address 14
Aug 20 15:51:59 triton kernel: usb 1-6: USB disconnect, address 14

cat /proc/bus/usb/devices displays camera details (among others):
T:  Bus=01 Lev=01 Prnt=01 Port=05 Cnt=02 Dev#= 14 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=ff(vend.) Sub=ff Prot=ff MxPS=64 #Cfgs=  1
P:  Vendor=04a9 ProdID=30ee Rev= 0.01
S:  Manufacturer=Canon Inc.
S:  Product=Canon Digital Camera
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=81(I) Atr=02(Bulk) MxPS= 512 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS= 512 Ivl=0ms
E:  Ad=83(I) Atr=03(Int.) MxPS=  64 Ivl=64ms
Comment 1 John (J5) Palmieri 2005-08-22 11:37:50 EDT
Is this camera supported by gPhoto?

Thanks for the bug report.  At the moment, the Fedora developers don't have
time to work on this particular issue. The best way to make sure your problem
will get looked on is to report it to the authors of the program. Most 
upstream authors use a bug tracking system like bugzilla, and more people
who know the code will be looking at the bug report there.

The upstream bug tracking system to use is:

http://sourceforge.net/tracker/?group_id=8874&atid=108874

Please make sure the bug isn't already in the upstream bug tracker before
filing it.
Comment 2 Kare Nuorteva 2005-08-22 17:07:55 EDT
It seems to work after I changed camera setting "Communication" from "PC
Connection" to "PTP/Print".

Note You need to log in before you can comment on or make changes to this bug.